--===============================--
-----     OrkoUI Version 10   -----
-----    ElvUI Layout Style   -----
-----      August 9, 2018     -----
----- Burning Crusade Classic -----
-----   Created by: Firesong  -----
--===============================--

local E, L, V, P, G = unpack(ElvUI); 
local M = E:GetModule('Minimap')
local Minimap = _G.Minimap
local ReloadUI = ReloadUI
local MyPlugin = E:NewModule('OrkoPlugin', 'AceHook-3.0', 'AceEvent-3.0', 'AceTimer-3.0'); 
local EP = LibStub("LibElvUIPlugin-1.0") 
local addonName, addonTable = ... 

P["OrkoPlugin"] = {
	["Enabled"] = false,
}

----- Media -----
--=============--

local LSM = LibStub("LibSharedMedia-3.0")
LSM:Register("statusbar","OrkoOne", [[Interface\AddOns\OrkoUI\Media\OrkoOne.tga]])
LSM:Register("statusbar","OrkoTwo", [[Interface\AddOns\OrkoUI\Media\OrkoTwo.tga]])
LSM:Register("font", "Accidental Presidency",	[[Interface\Addons\OrkoUI\Media\Accidental Presidency.ttf]])


----- Orko Panels -----
--===================--

local OrkoPanel = CreateFrame("Frame",nil,UIParent)
local OrkoPanelTexture = OrkoPanel:CreateTexture(nil,"BACKGROUND")
local OUIPlayer_UF = CreateFrame("Frame",nil,UIParent)
local OUIPlayer_UF_Texture = OUIPlayer_UF:CreateTexture(nil,"BACKGROUND")
local OUIPlayer_UF_Name = CreateFrame("Frame",nil,UIParent)
local OUIPlayer_UF_Name_Texture = OUIPlayer_UF_Name:CreateTexture(nil,"BACKGROUND")
local OUITarget_UF_Name = CreateFrame("Frame",nil,UIParent)
local OUITarget_UF_Name_Texture = OUITarget_UF_Name:CreateTexture(nil,"BACKGROUND")
local OUITarget_UF = CreateFrame("Frame",nil,UIParent)
local OUITarget_UF_Texture = OUITarget_UF:CreateTexture(nil,"BACKGROUND")
local MiniMapShine = CreateFrame("Frame",nil,UIParent)
local MiniMapTexture = MiniMapShine:CreateTexture(nil,"BACKGROUND")






----- VeiwPort ------
--=================--

local HideWorldFrame = CreateFrame("Frame")
local scale = 768 / UIParent:GetHeight()
HideWorldFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
HideWorldFrame:SetScript("OnEvent", function(self, event)
		if event == "PLAYER_ENTERING_WORLD"  then
			WorldFrame:SetPoint("TOPLEFT", ( 0 * scale ), -( 0 * scale ) )
			WorldFrame:SetPoint("BOTTOMRIGHT", -( 0 * scale ), ( 120 * scale ) )
		end
end)


----- ReloadUI Script -----
--=======================--

StaticPopupDialogs["RELOADUI_SCRIPT_DEFAULT"] = {
  text = "This will reload and install OrkoUI Layout.",
  button1 = "Apply",
  button2 = "Cancel",
  OnAccept = function()
		SetUpOrkoUI()
		SetUpAddOns()
		ReloadUI()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3,  
}


function MyPlugin:Update()

local OrkoPanelEnabled = E.db.OrkoPlugin.Enabled

	if OrkoPanelEnabled then
			--Bottom Panel
			OrkoPanel:SetFrameStrata("BACKGROUND")
			OrkoPanel:SetWidth(1925) 
			OrkoPanel:SetHeight(2048) 
			OrkoPanelTexture:SetTexture("Interface\\Addons\\OrkoUI\\Media\\OrkoUI_Panel.tga")
			OrkoPanelTexture:SetAllPoints(OrkoPanel)
			OrkoPanel.texture = OrkoPanelTexture
			OrkoPanel:SetPoint("CENTER",-1,16)
			OrkoPanel:SetAlpha(1)
			OrkoPanel:Show()
			
			--Create OrkoUF Player Art
			OUIPlayer_UF_Name:SetParent("ElvUF_Player")
			OUIPlayer_UF_Name:SetFrameStrata("LOW")
			OUIPlayer_UF_Name:SetFrameLevel(20)
			OUIPlayer_UF_Name:SetWidth(430) 
			OUIPlayer_UF_Name:SetHeight(85) 
			OUIPlayer_UF_Name_Texture:SetTexture("Interface\\Addons\\OrkoUI\\Media\\OrkoUI_UF.tga")
			OUIPlayer_UF_Name_Texture:SetAllPoints(OUIPlayer_UF_Name)
			OUIPlayer_UF_Name.texture = OUIPlayer_UF_Name_Texture
			OUIPlayer_UF_Name:SetPoint("BOTTOM", ElvUF_Player, "BOTTOM", 0, 0);
			OUIPlayer_UF_Name:SetAlpha(1)
			OUIPlayer_UF_Name:Show()
			
			--Create OrkoUF Target Art
			OUITarget_UF_Name:SetParent("ElvUF_Target")
			OUITarget_UF_Name:SetFrameStrata("LOW")
			local f_level = ElvUF_Target:GetFrameLevel()
			OUITarget_UF_Name:SetFrameLevel(f_level*40)
			OUITarget_UF_Name:SetWidth(430) 
			OUITarget_UF_Name:SetHeight(85) 
			OUITarget_UF_Name_Texture:SetTexture("Interface\\Addons\\OrkoUI\\Media\\OrkoUI_UF.tga")
			OUITarget_UF_Name_Texture:SetAllPoints(OUITarget_UF_Name)
			OUITarget_UF_Name.texture = OUITarget_UF_Name_Texture
			OUITarget_UF_Name_Texture:SetTexCoord(1, 0, 0, 1);
			OUITarget_UF_Name:SetPoint("BOTTOM", ElvUF_Target, "BOTTOM", 0, 0);
			OUITarget_UF_Name:Show()
						
			--Create Minimap Overlay
			local MiniMapShine = CreateFrame("Frame",nil,UIParent)
			local MiniMapTexture = MiniMapShine:CreateTexture(nil,"BACKGROUND")
			MiniMapShine:SetParent("ElvUF_Player")
			MiniMapShine:SetWidth(485) 
			MiniMapShine:SetHeight(518) 
			MiniMapTexture:SetTexture("Interface\\Addons\\OrkoUI\\Media\\MapFrame.tga")
			MiniMapTexture:SetAllPoints(MiniMapShine)
			MiniMapShine.texture = MiniMapTexture
			MiniMapShine:SetPoint("CENTER", MiniMap, "CENTER", 0, -449);
			MiniMapShine:SetFrameStrata("MEDIUM")
			MiniMapShine:Show()	
			
	elseif not OrkoPanelEnabled then
			OrkoPanel:SetAlpha(0)
	
	end		

end


local LoadPanels = CreateFrame("Frame")
LoadPanels:RegisterEvent("PLAYER_ENTERING_WORLD")
LoadPanels:SetScript("OnEvent", function(self, event)
	if event == "PLAYER_ENTERING_WORLD" then 
	MyPlugin:Update()
	end
end)


----- Options GUI -----
--===================--

function MyPlugin:InsertOptions()
	E.Options.args.OrkoUIP = {
		order = 100,
		type = "group",
		name = "OrkoUI Layouts",
		args = {
			info1 = {
				order = 1,
				name = "",
				type = 'description',
				image = "Interface\\AddOns\\OrkoUI\\Media\\LogoOne.tga",
				imageWidth = 512,
				imageHeight = 150,
			},
			info2 = {
				order = 2,
				type = 'header',
				name = "OrkoUI Layout Install",
			},
			NormalPanel = {
				order = 3,
				type = "toggle",
				name = L['OrkoUI Panels'],
				desc = L['Enables OrkoUI Layout.'],
				get = function(info)
					return E.db.OrkoPlugin.Enabled
				end,
				set = function(info, value)
					E.db.OrkoPlugin.Enabled = value;
					MyPlugin:Update() --We changed a setting, call our Update function
					StaticPopup_Show ("RELOADUI_SCRIPT_DEFAULT")
				end,	
			},
		},
	}
end

function MyPlugin:Initialize()
	EP:RegisterPlugin(addonName, MyPlugin.InsertOptions)
end

E:RegisterModule(MyPlugin:GetName()) 



