--============================--
--============================--
--===                      ===--
--=== OrkoUI ElvUI Profile ===--
--===                      ===--
--============================--
--============================--
local E, L, V, P, G = unpack(ElvUI);


function SetUpOrkoUI()

--================--
----- DataBars -----
--================--
E.db["databars"]["experience"]["font"] = "Accidental Presidency"
E.db["databars"]["experience"]["height"] = 15
E.db["databars"]["experience"]["orientation"] = "HORIZONTAL"
E.db["databars"]["experience"]["textFormat"] = "CURPERC"
E.db["databars"]["experience"]["width"] = 370
E.db["databars"]["reputation"]["enable"] = true
E.db["databars"]["reputation"]["font"] = "Accidental Presidency"
E.db["databars"]["reputation"]["height"] = 15
E.db["databars"]["reputation"]["orientation"] = "HORIZONTAL"
E.db["databars"]["reputation"]["textFormat"] = "CURPERC"
E.db["databars"]["reputation"]["width"] = 370
E.db["databars"]["threat"]["enable"] = false

--=======================--
----- Tooltip Options -----
--=======================--
E.db["tooltip"]["font"] = "Accidental Presidency"
E.db["tooltip"]["headerFontSize"] = 16
E.db["tooltip"]["healthBar"]["font"] = "Accidental Presidency"
E.db["tooltip"]["healthBar"]["fontSize"] = 12
E.db["tooltip"]["healthBar"]["height"] = 10
E.db["tooltip"]["itemQualityBorderColor"] = true
E.db["tooltip"]["smallTextFontSize"] = 14
E.db["tooltip"]["textFontSize"] = 14



--=======================--
----- General Options -----
--=======================--
E.global["uiScaleInformed"] = true
E.global["general"]["UIScale"] = 0.71
E.db["general"]["backdropcolor"]["b"] = 0.12156862745098
E.db["general"]["backdropcolor"]["g"] = 0.12156862745098
E.db["general"]["backdropcolor"]["r"] = 0.12156862745098
E.db["general"]["backdropfadecolor"]["a"] = 0.79000000655651
E.db["general"]["backdropfadecolor"]["b"] = 0.10588235294118
E.db["general"]["backdropfadecolor"]["g"] = 0.10588235294118
E.db["general"]["backdropfadecolor"]["r"] = 0.10588235294118
E.db["general"]["bordercolor"]["b"] = 0.1843137254902
E.db["general"]["bordercolor"]["g"] = 0.15686274509804
E.db["general"]["bordercolor"]["r"] = 0.019607843137255
E.db["general"]["bottomPanel"] = false
E.db["general"]["interruptAnnounce"] = "RAID"
E.db["general"]["minimap"]["icons"]["mail"]["xOffset"] = 0
E.db["general"]["minimap"]["icons"]["tracking"]["xOffset"] = -8
E.db["general"]["minimap"]["icons"]["tracking"]["yOffset"] = 1
E.db["general"]["minimap"]["locationFont"] = "Accidental Presidency"
E.db["general"]["minimap"]["locationFontSize"] = 13
E.db["general"]["minimap"]["locationText"] = "SHOW"
E.db["general"]["minimap"]["resetZoom"]["enable"] = true
E.db["general"]["minimap"]["size"] = 160
E.db["general"]["smoothingAmount"] = 0.44
E.db["convertPages"] = true
E.private["general"]["chatBubbleFontSize"] = 12
E.private["general"]["chatBubbles"] = "disabled"
E.private["general"]["glossTex"] = "OrkoTwo"
E.private["general"]["loot"] = false
E.private["general"]["lootRoll"] = false
E.private["general"]["normTex"] = "OrkoOne"
E.global["general"]["smallerWorldMap"] = false

--===================--
----- Bag Options -----
--===================--
E.db["bags"]["bagButtonSpacing"] = 2
E.db["bags"]["bagSize"] = 33
E.db["bags"]["bagWidth"] = 410
E.db["bags"]["bankWidth"] = 410
E.db["bags"]["countFont"] = "Expressway"
E.db["bags"]["countFontOutline"] = "OUTLINE"
E.db["bags"]["showBindType"] = true
E.db["bags"]["sortInverted"] = false
E.db["bags"]["transparent"] = true

--========================--
----- Tutorial Options -----
--========================--
E.db["hideTutorial"] = true
E.db["currentTutorial"] = 2

--======================--
----- Auras Options -----
--======================--
E.db["auras"]["buffs"]["growthDirection"] = "RIGHT_DOWN"
E.db["auras"]["buffs"]["horizontalSpacing"] = 2
E.db["auras"]["buffs"]["maxWraps"] = 1
E.db["auras"]["buffs"]["wrapAfter"] = 15
E.db["auras"]["debuffs"]["growthDirection"] = "RIGHT_DOWN"
E.db["auras"]["debuffs"]["horizontalSpacing"] = 4
E.db["auras"]["debuffs"]["size"] = 40
E.db["auras"]["debuffs"]["wrapAfter"] = 15


--====================--
----- ElvUI Movers -----
--====================--
--SetUp Movers
E.db["movers"] = E.db["movers"] or {}
E.db["movers"]["AlertFrameMover"] = "TOP,ElvUIParent,TOP,0,-110"
E.db["movers"]["AltPowerBarMover"] = "TOP,ElvUIParent,TOP,0,-171"
E.db["movers"]["ArenaHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-246,-373"
E.db["movers"]["BNETMover"] = "TOP,ElvUIParent,TOP,0,-36"
E.db["movers"]["BuffsMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-4"
E.db["movers"]["ClassBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-307,180"
E.db["movers"]["DTPanelLeftMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,400,3"
E.db["movers"]["DTPanelRightMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-400,3"
E.db["movers"]["DTPanelTimeMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,12"
E.db["movers"]["DebuffsMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-61"
E.db["movers"]["DurabilityFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-542,-4"
E.db["movers"]["ElvAB_1"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,415,29"
E.db["movers"]["ElvAB_2"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-414,29"
E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,-173,10"
E.db["movers"]["ElvAB_4"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-408"
E.db["movers"]["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,174,10"
E.db["movers"]["ElvUF_AssistMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,333,825"
E.db["movers"]["ElvUF_FocusCastbarMover"] = "TOPLEFT,ElvUF_Focus,BOTTOMLEFT,0,-1"
E.db["movers"]["ElvUF_FocusMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-241,203"
E.db["movers"]["ElvUF_FocusTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-46,203"
E.db["movers"]["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,660,325"
E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,240,200"
E.db["movers"]["ElvUF_PetTargetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,47,200"
E.db["movers"]["ElvUF_PlayerAuraMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,441,207"
E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,-306,135"
E.db["movers"]["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,70,658"
E.db["movers"]["ElvUF_RaidMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,54,270"
E.db["movers"]["ElvUF_RaidpetMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,736"
E.db["movers"]["ElvUF_TankMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,329,890"
E.db["movers"]["ElvUF_TargetAuraMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-439,208"
E.db["movers"]["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,306,135"
E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,187"
E.db["movers"]["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-26,200"
E.db["movers"]["ExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,27,0"
E.db["movers"]["GMMover"] = "TOP,ElvUIParent,TOP,0,-37"
E.db["movers"]["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,20,26"
E.db["movers"]["LevelUpBossBannerMover"] = "TOP,ElvUIParent,TOP,0,-470"
E.db["movers"]["LootFrameMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-264,362"
E.db["movers"]["LossControlMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,408"
E.db["movers"]["MinimapMover"] = "BOTTOM,ElvUIParent,BOTTOM,1,11"
E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-124,-45"
E.db["movers"]["PetAB"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-390"
E.db["movers"]["QuestTimerFrameMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,274"
E.db["movers"]["QuestWatchFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-195,-4"
E.db["movers"]["ReputationBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-26,0"
E.db["movers"]["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-7,26"
E.db["movers"]["ShiftAB"] = "TOP,ElvUIParent,TOP,0,-4"
E.db["movers"]["SocialMenuMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-207"
E.db["movers"]["TotemBarMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-450"
E.db["movers"]["VOICECHAT"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-336"
E.db["movers"]["ZoneAbility"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-385,133"


--==========================--
----- ElvUI Chat Options -----
--==========================--
E.db["chat"]["panelBackdrop"] = "HIDEBOTH"
E.db["chat"]["panelHeight"] = 180
E.db["chat"]["panelTabBackdrop"] = true
E.db["chat"]["panelTabTransparency"] = true
E.db["chat"]["panelWidth"] = 380
E.db["chat"]["copyChatLines"] = false

--================================--
----- ElvUI UnitFrames Options -----
--================================--
E.db["unitframe"]["colors"]["auraBarBuff"]["b"] = 1
E.db["unitframe"]["colors"]["auraBarBuff"]["g"] = 0.70980392156863
E.db["unitframe"]["colors"]["auraBarBuff"]["r"] = 0
E.db["unitframe"]["colors"]["castbar_backdrop"]["a"] = 0.35094356536865
E.db["unitframe"]["colors"]["castbar_backdrop"]["b"] = 0.20392156862745
E.db["unitframe"]["colors"]["castbar_backdrop"]["g"] = 0.23529411764706
E.db["unitframe"]["colors"]["castbar_backdrop"]["r"] = 0.23921568627451
E.db["unitframe"]["colors"]["customcastbarbackdrop"] = true
E.db["unitframe"]["colors"]["customhealthbackdrop"] = true
E.db["unitframe"]["colors"]["castClassColor"] = false
E.db["unitframe"]["colors"]["healthclass"] = false
E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["enable"] = false
E.db["unitframe"]["colors"]["frameGlow"]["targetGlow"]["enable"] = false
E.db["unitframe"]["colors"]["health"]["b"] = 1
E.db["unitframe"]["colors"]["health"]["g"] = 0.74117647058823
E.db["unitframe"]["colors"]["health"]["r"] = 0.13725490196078
E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 0.10588235294118
E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 0.10588235294118
E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 0.14901960784314
E.db["unitframe"]["colors"]["health_backdrop_dead"]["b"] = 0.10588235294118
E.db["unitframe"]["colors"]["health_backdrop_dead"]["g"] = 0.10588235294118
E.db["unitframe"]["colors"]["health_backdrop_dead"]["r"] = 0.14901960784314
E.db["unitframe"]["colors"]["power"]["MANA"]["b"] = 1
E.db["unitframe"]["colors"]["power"]["MANA"]["g"] = 0.71372549019608
E.db["unitframe"]["colors"]["power"]["MANA"]["r"] = 0.49411764705882
E.db["unitframe"]["colors"]["powerclass"] = true
E.db["unitframe"]["colors"]["transparentAurabars"] = true
E.db["unitframe"]["colors"]["transparentCastbar"] = true
E.db["unitframe"]["colors"]["useDeadBackdrop"] = true
E.db["unitframe"]["font"] = "Accidental Presidency"
E.db["unitframe"]["fontOutline"] = "NONE"
E.db["unitframe"]["fontSize"] = 14
E.db["unitframe"]["smoothbars"] = true
E.db["unitframe"]["statusbar"] = "OrkoTwo"


-- Party --
E.db["unitframe"]["units"]["party"]["buffs"]["perrow"] = 3
E.db["unitframe"]["units"]["party"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 5
E.db["unitframe"]["units"]["party"]["debuffs"]["priority"] = "Blacklist,Boss,RaidDebuffs,CCDebuffs,Dispellable"
E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 0
E.db["unitframe"]["units"]["party"]["debuffs"]["yOffset"] = 2
E.db["unitframe"]["units"]["party"]["growthDirection"] = "RIGHT_DOWN"
E.db["unitframe"]["units"]["party"]["health"]["position"] = "BOTTOM"
E.db["unitframe"]["units"]["party"]["health"]["text_format"] = "[healthcolor][health:deficit]"
E.db["unitframe"]["units"]["party"]["health"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["health"]["yOffset"] = 2
E.db["unitframe"]["units"]["party"]["height"] = 40
E.db["unitframe"]["units"]["party"]["horizontalSpacing"] = 6
E.db["unitframe"]["units"]["party"]["infoPanel"]["height"] = 12
E.db["unitframe"]["units"]["party"]["name"]["text_format"] = "[namecolor][name:short]"
E.db["unitframe"]["units"]["party"]["orientation"] = "MIDDLE"
E.db["unitframe"]["units"]["party"]["petsGroup"]["anchorPoint"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["party"]["petsGroup"]["enable"] = true
E.db["unitframe"]["units"]["party"]["petsGroup"]["height"] = 20
E.db["unitframe"]["units"]["party"]["petsGroup"]["width"] = 115
E.db["unitframe"]["units"]["party"]["petsGroup"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["petsGroup"]["yOffset"] = -5
E.db["unitframe"]["units"]["party"]["portrait"]["camDistanceScale"] = 1
E.db["unitframe"]["units"]["party"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["party"]["portrait"]["overlay"] = true
E.db["unitframe"]["units"]["party"]["power"]["height"] = 5
E.db["unitframe"]["units"]["party"]["power"]["position"] = "BOTTOMRIGHT"
E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["power"]["width"] = "inset"
E.db["unitframe"]["units"]["party"]["power"]["yOffset"] = 2
E.db["unitframe"]["units"]["party"]["rdebuffs"]["font"] = "PT Sans Narrow"
E.db["unitframe"]["units"]["party"]["targetsGroup"]["height"] = 25
E.db["unitframe"]["units"]["party"]["width"] = 115


-- Pet --
E.db["unitframe"]["units"]["pet"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["pet"]["buffs"]["attachTo"] = "DEBUFFS"
E.db["unitframe"]["units"]["pet"]["buffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["pet"]["buffs"]["perrow"] = 8
E.db["unitframe"]["units"]["pet"]["castbar"]["height"] = 33
E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 142.99998474121
E.db["unitframe"]["units"]["pet"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["pet"]["debuffs"]["enable"] = true
E.db["unitframe"]["units"]["pet"]["debuffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["pet"]["debuffs"]["perrow"] = 8
E.db["unitframe"]["units"]["pet"]["health"]["position"] = "LEFT"
E.db["unitframe"]["units"]["pet"]["health"]["text_format"] = "[healthcolor][health:current-percent][mouseover]"
E.db["unitframe"]["units"]["pet"]["health"]["xOffset"] = 5
E.db["unitframe"]["units"]["pet"]["height"] = 40
E.db["unitframe"]["units"]["pet"]["infoPanel"]["height"] = 20
E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["pet"]["name"]["xOffset"] = 5
E.db["unitframe"]["units"]["pet"]["orientation"] = "RIGHT"
E.db["unitframe"]["units"]["pet"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["pet"]["power"]["height"] = 6
E.db["unitframe"]["units"]["pet"]["power"]["hideonnpc"] = true
E.db["unitframe"]["units"]["pet"]["power"]["xOffset"] = -2
E.db["unitframe"]["units"]["pet"]["power"]["yOffset"] = 5
E.db["unitframe"]["units"]["pet"]["width"] = 190


-- Pet Target --
E.db["unitframe"]["units"]["pettarget"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["pettarget"]["buffs"]["attachTo"] = "DEBUFFS"
E.db["unitframe"]["units"]["pettarget"]["buffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["pettarget"]["buffs"]["perrow"] = 8
E.db["unitframe"]["units"]["pettarget"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["pettarget"]["debuffs"]["enable"] = true
E.db["unitframe"]["units"]["pettarget"]["debuffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["pettarget"]["debuffs"]["perrow"] = 8
E.db["unitframe"]["units"]["pettarget"]["enable"] = true
E.db["unitframe"]["units"]["pettarget"]["health"]["text_format"] = "[healthcolor][health:current-percent]"
E.db["unitframe"]["units"]["pettarget"]["health"]["xOffset"] = -5
E.db["unitframe"]["units"]["pettarget"]["height"] = 40
E.db["unitframe"]["units"]["pettarget"]["infoPanel"]["height"] = 20
E.db["unitframe"]["units"]["pettarget"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["pettarget"]["name"]["xOffset"] = 5
E.db["unitframe"]["units"]["pettarget"]["orientation"] = "LEFT"
E.db["unitframe"]["units"]["pettarget"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["pettarget"]["power"]["height"] = 6
E.db["unitframe"]["units"]["pettarget"]["power"]["hideonnpc"] = true
E.db["unitframe"]["units"]["pettarget"]["power"]["xOffset"] = -2
E.db["unitframe"]["units"]["pettarget"]["power"]["yOffset"] = 5
E.db["unitframe"]["units"]["pettarget"]["threatStyle"] = "GLOW"
E.db["unitframe"]["units"]["pettarget"]["width"] = 190


-- Player --
E.db["unitframe"]["units"]["player"]["CombatIcon"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["CombatIcon"]["size"] = 30
E.db["unitframe"]["units"]["player"]["CombatIcon"]["xOffset"] = -10
E.db["unitframe"]["units"]["player"]["RestIcon"]["anchorPoint"] = "TOPRIGHT"
E.db["unitframe"]["units"]["player"]["RestIcon"]["yOffset"] = -5
E.db["unitframe"]["units"]["player"]["aurabar"]["enable"] = true
E.db["unitframe"]["units"]["player"]["aurabar"]["attachTo"] = "DETACHED"
E.db["unitframe"]["units"]["player"]["aurabar"]["detachedWidth"] = 190
E.db["unitframe"]["units"]["player"]["aurabar"]["enemyAuraType"] = "HELPFUL"
E.db["unitframe"]["units"]["player"]["aurabar"]["height"] = 18
E.db["unitframe"]["units"]["player"]["aurabar"]["spacing"] = 2
E.db["unitframe"]["units"]["player"]["castbar"]["height"] = 44
E.db["unitframe"]["units"]["player"]["castbar"]["overlayOnFrame"] = "Health"
E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 427.99996948242
E.db["unitframe"]["units"]["player"]["classbar"]["height"] = 10
E.db["unitframe"]["units"]["player"]["classbar"]["autoHide"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["detachFromFrame"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["detachedWidth"] = 400
E.db["unitframe"]["units"]["player"]["classbar"]["fill"] = "spaced"
E.db["unitframe"]["units"]["player"]["classbar"]["spacing"] = 3
E.db["unitframe"]["units"]["player"]["classbar"]["strataAndLevel"]["frameStrata"] = "MEDIUM"
E.db["unitframe"]["units"]["player"]["classbar"]["strataAndLevel"]["useCustomStrata"] = true
E.db["unitframe"]["units"]["player"]["debuffs"]["anchorPoint"] = "TOPRIGHT"
E.db["unitframe"]["units"]["player"]["debuffs"]["perrow"] = 7
E.db["unitframe"]["units"]["player"]["debuffs"]["sizeOverride"] = 30
E.db["unitframe"]["units"]["player"]["debuffs"]["xOffset"] = -5
E.db["unitframe"]["units"]["player"]["debuffs"]["yOffset"] = 30
E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["height"] = 55
E.db["unitframe"]["units"]["player"]["name"]["position"] = "TOPRIGHT"
E.db["unitframe"]["units"]["player"]["name"]["xOffset"] = -10
E.db["unitframe"]["units"]["player"]["name"]["yOffset"] = 23
E.db["unitframe"]["units"]["player"]["infoPanel"]["enable"] = false
E.db["unitframe"]["units"]["player"]["portrait"]["camDistanceScale"] = 1
E.db["unitframe"]["units"]["player"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["player"]["portrait"]["fullOverlay"] = true
E.db["unitframe"]["units"]["player"]["portrait"]["overlay"] = true
E.db["unitframe"]["units"]["player"]["power"]["height"] = 8
E.db["unitframe"]["units"]["player"]["power"]["attachTextTo"] = "Power"
E.db["unitframe"]["units"]["player"]["power"]["hideonnpc"] = true
E.db["unitframe"]["units"]["player"]["power"]["position"] = "CENTER"
E.db["unitframe"]["units"]["player"]["power"]["strataAndLevel"]["frameLevel"] = 10
E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["power"]["yOffset"] = 5
E.db["unitframe"]["units"]["player"]["pvpIcon"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["pvpIcon"]["enable"] = true
E.db["unitframe"]["units"]["player"]["pvpIcon"]["scale"] = 1.2
E.db["unitframe"]["units"]["player"]["width"] = 430
E.db["unitframe"]["units"]["player"]["buffs"]["enable"] = false

-- Raid --
E.db["unitframe"]["units"]["raid"]["classbar"]["enable"] = false
E.db["unitframe"]["units"]["raid"]["growthDirection"] = "RIGHT_UP"
E.db["unitframe"]["units"]["raid"]["height"] = 40
E.db["unitframe"]["units"]["raid"]["name"]["attachTextTo"] = "InfoPanel"
E.db["unitframe"]["units"]["raid"]["name"]["position"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["raid"]["name"]["xOffset"] = 3
E.db["unitframe"]["units"]["raid"]["name"]["yOffset"] = 5
E.db["unitframe"]["units"]["raid"]["numGroups"] = 8
E.db["unitframe"]["units"]["raid"]["portrait"]["fullOverlay"] = true
E.db["unitframe"]["units"]["raid"]["power"]["height"] = 5
E.db["unitframe"]["units"]["raid"]["power"]["width"] = "inset"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["font"] = "PT Sans Narrow"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 20
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["xOffset"] = 20
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["yOffset"] = 25
E.db["unitframe"]["units"]["raid"]["readycheckIcon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["raid"]["resurrectIcon"]["attachTo"] = "BOTTOMRIGHT"
E.db["unitframe"]["units"]["raid"]["visibility"] = "[@raid6,noexists] hide;show"
E.db["unitframe"]["units"]["raid"]["width"] = 75
E.db["unitframe"]["units"]["raid40"]["enable"] = false
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["font"] = "PT Sans Narrow"
E.db["unitframe"]["units"]["raid40"]["width"] = 70

-- Target --
E.db["unitframe"]["units"]["target"]["CombatIcon"]["anchorPoint"] = "LEFT"
E.db["unitframe"]["units"]["target"]["CombatIcon"]["size"] = 30
E.db["unitframe"]["units"]["target"]["CombatIcon"]["xOffset"] = 10
E.db["unitframe"]["units"]["target"]["aurabar"]["attachTo"] = "DETACHED"
E.db["unitframe"]["units"]["target"]["aurabar"]["detachedWidth"] = 190
E.db["unitframe"]["units"]["target"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["target"]["buffs"]["perrow"] = 7
E.db["unitframe"]["units"]["target"]["buffs"]["sizeOverride"] = 30
E.db["unitframe"]["units"]["target"]["buffs"]["xOffset"] = 5
E.db["unitframe"]["units"]["target"]["buffs"]["yOffset"] = 30
E.db["unitframe"]["units"]["target"]["castbar"]["height"] = 44
E.db["unitframe"]["units"]["target"]["castbar"]["overlayOnFrame"] = "Health"
E.db["unitframe"]["units"]["target"]["castbar"]["reverse"] = true
E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 427.99996948242
E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["target"]["debuffs"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["target"]["debuffs"]["enable"] = false
E.db["unitframe"]["units"]["target"]["debuffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["target"]["health"]["position"] = "CENTER"
E.db["unitframe"]["units"]["target"]["health"]["reverseFill"] = true
E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["health"]["xOffset"] = 5
E.db["unitframe"]["units"]["target"]["height"] = 55
E.db["unitframe"]["units"]["target"]["infoPanel"]["enable"] = false
E.db["unitframe"]["units"]["target"]["name"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["target"]["name"]["position"] = "TOPLEFT"
E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["name"]["xOffset"] = 10
E.db["unitframe"]["units"]["target"]["name"]["yOffset"] = 23
E.db["unitframe"]["units"]["target"]["portrait"]["camDistanceScale"] = 1
E.db["unitframe"]["units"]["target"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["target"]["portrait"]["fullOverlay"] = true
E.db["unitframe"]["units"]["target"]["portrait"]["overlay"] = true
E.db["unitframe"]["units"]["target"]["power"]["height"] = 8
E.db["unitframe"]["units"]["target"]["power"]["attachTextTo"] = "Power"
E.db["unitframe"]["units"]["target"]["power"]["hideonnpc"] = true
E.db["unitframe"]["units"]["target"]["power"]["position"] = "CENTER"
E.db["unitframe"]["units"]["target"]["power"]["strataAndLevel"]["frameLevel"] = 10
E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["power"]["xOffset"] = -2
E.db["unitframe"]["units"]["target"]["power"]["yOffset"] = 5
E.db["unitframe"]["units"]["target"]["pvpIcon"]["anchorPoint"] = "LEFT"
E.db["unitframe"]["units"]["target"]["pvpIcon"]["enable"] = true
E.db["unitframe"]["units"]["target"]["pvpIcon"]["scale"] = 1.2
E.db["unitframe"]["units"]["target"]["pvpIcon"]["xOffset"] = -5
E.db["unitframe"]["units"]["target"]["width"] = 430


-- Target of Target --
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["perrow"] = 6
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["yOffset"] = 5
E.db["unitframe"]["units"]["targettarget"]["height"] = 29
E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["targettarget"]["power"]["enable"] = false
E.db["unitframe"]["units"]["targettarget"]["width"] = 174

-- Focus --
E.db["unitframe"]["units"]["focus"]["aurabar"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["focus"]["aurabar"]["detachedWidth"] = 130
E.db["unitframe"]["units"]["focus"]["aurabar"]["maxBars"] = 6
E.db["unitframe"]["units"]["focus"]["aurabar"]["priority"] = ""
E.db["unitframe"]["units"]["focus"]["aurabar"]["spacing"] = 2
E.db["unitframe"]["units"]["focus"]["aurabar"]["yOffset"] = 2
E.db["unitframe"]["units"]["focus"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["focus"]["buffs"]["attachTo"] = "DEBUFFS"
E.db["unitframe"]["units"]["focus"]["buffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["focus"]["buffs"]["perrow"] = 8
E.db["unitframe"]["units"]["focus"]["buffs"]["priority"] = "Blacklist,PlayerBuffs,CastByUnit,Whitelist,RaidBuffsElvUI"
E.db["unitframe"]["units"]["focus"]["castbar"]["width"] = 270
E.db["unitframe"]["units"]["focus"]["castbar"]["overlayOnFrame"] = "Health"
E.db["unitframe"]["units"]["focus"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["focus"]["debuffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["focus"]["debuffs"]["perrow"] = 8
E.db["unitframe"]["units"]["focus"]["debuffs"]["priority"] = "Blacklist,Boss,RaidDebuffs,Dispellable,Whitelist"
E.db["unitframe"]["units"]["focus"]["disableTargetGlow"] = true
E.db["unitframe"]["units"]["focus"]["health"]["text_format"] = "[healthcolor][health:current-percent]"
E.db["unitframe"]["units"]["focus"]["health"]["xOffset"] = -5
E.db["unitframe"]["units"]["focus"]["height"] = 40
E.db["unitframe"]["units"]["focus"]["infoPanel"]["height"] = 20
E.db["unitframe"]["units"]["focus"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["focus"]["name"]["xOffset"] = 5
E.db["unitframe"]["units"]["focus"]["orientation"] = "LEFT"
E.db["unitframe"]["units"]["focus"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["focus"]["power"]["height"] = 6
E.db["unitframe"]["units"]["focus"]["power"]["hideonnpc"] = true
E.db["unitframe"]["units"]["focus"]["power"]["xOffset"] = -2
E.db["unitframe"]["units"]["focus"]["power"]["yOffset"] = 5
E.db["unitframe"]["units"]["focus"]["power"]["enable"] = true

-- Focus Target Frame --
E.db["unitframe"]["units"]["focustarget"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["focustarget"]["buffs"]["attachTo"] = "DEBUFFS"
E.db["unitframe"]["units"]["focustarget"]["buffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["focustarget"]["buffs"]["perrow"] = 8
E.db["unitframe"]["units"]["focustarget"]["buffs"]["priority"] = "Blacklist,Personal,PlayerBuffs"
E.db["unitframe"]["units"]["focustarget"]["castbar"]["height"] = 33
E.db["unitframe"]["units"]["focustarget"]["castbar"]["iconSize"] = 32
E.db["unitframe"]["units"]["focustarget"]["castbar"]["width"] = 142.99998474121
E.db["unitframe"]["units"]["focustarget"]["debuffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["focustarget"]["debuffs"]["enable"] = true
E.db["unitframe"]["units"]["focustarget"]["debuffs"]["maxDuration"] = 0
E.db["unitframe"]["units"]["focustarget"]["debuffs"]["perrow"] = 8
E.db["unitframe"]["units"]["focustarget"]["debuffs"]["priority"] = "Blacklist,Personal,Boss,RaidDebuffs"
E.db["unitframe"]["units"]["focustarget"]["enable"] = true
E.db["unitframe"]["units"]["focustarget"]["health"]["position"] = "LEFT"
E.db["unitframe"]["units"]["focustarget"]["health"]["text_format"] = "[healthcolor][health:current-percent][mouseover]"
E.db["unitframe"]["units"]["focustarget"]["health"]["xOffset"] = 5
E.db["unitframe"]["units"]["focustarget"]["height"] = 40
E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["height"] = 20
E.db["unitframe"]["units"]["focustarget"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["focustarget"]["name"]["xOffset"] = 5
E.db["unitframe"]["units"]["focustarget"]["orientation"] = "RIGHT"
E.db["unitframe"]["units"]["focustarget"]["portrait"]["enable"] = true
E.db["unitframe"]["units"]["focustarget"]["power"]["height"] = 6
E.db["unitframe"]["units"]["focustarget"]["power"]["hideonnpc"] = true
E.db["unitframe"]["units"]["focustarget"]["power"]["xOffset"] = -2
E.db["unitframe"]["units"]["focustarget"]["power"]["yOffset"] = 5
E.db["unitframe"]["units"]["focustarget"]["threatStyle"] = "GLOW"


--=====================================--
----- ElvUI UnitFrames Custom Texts -----
--=====================================--
--Create customTexts table for the player unit (but only if it does not exist)
E.db["unitframe"]["units"]["player"]["customTexts"] = E.db["unitframe"]["units"]["player"]["customTexts"] or {}
E.db["unitframe"]["units"]["target"]["customTexts"] = E.db["unitframe"]["units"]["target"]["customTexts"] or {}
E.db["unitframe"]["units"]["targettarget"]["customTexts"] = E.db["unitframe"]["units"]["targettarget"]["customTexts"] or {}
E.db["unitframe"]["units"]["pet"]["customTexts"] = E.db["unitframe"]["units"]["pet"]["customTexts"] or {}
E.db["unitframe"]["units"]["pettarget"]["customTexts"] = E.db["unitframe"]["units"]["pettarget"]["customTexts"] or {}
E.db["unitframe"]["units"]["focus"]["customTexts"] = E.db["unitframe"]["units"]["focus"]["customTexts"] or {}
E.db["unitframe"]["units"]["focustarget"]["customTexts"] = E.db["unitframe"]["units"]["focustarget"]["customTexts"] or {}


--==================================--
----- Target of Target Name Text -----
--==================================--
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"] = {}
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["enable"] = true
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["text_format"] = "[namecolor][name]"
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["yOffset"] = 1
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["justifyH"] = "CENTER"
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["xOffset"] = 0
E.db["unitframe"]["units"]["targettarget"]["customTexts"]["ToT_Name"]["size"] = 16

--=======================--
----- Focus Name Text -----
--=======================--
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"] = {}
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["enable"] = true
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["size"] = 14
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["text_format"] = "[name]"
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["xOffset"] = 5
E.db["unitframe"]["units"]["focus"]["customTexts"]["FocusName"]["yOffset"] = 0

--==============================--
----- Focus Target Name Text -----
--==============================--
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"] = {}
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["enable"] = true
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["size"] = 14
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["text_format"] = "[name]"
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["xOffset"] = -5
E.db["unitframe"]["units"]["focustarget"]["customTexts"]["FocusTargetName"]["yOffset"] = 0


--===============================--
----- Player Unit Frame Texts -----
--===============================--
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["text_format"] = "[difficultycolor][level] [namecolor][smartclass]"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["yOffset"] = 33
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["xOffset"] = 5
E.db["unitframe"]["units"]["player"]["customTexts"]["P_UnitInfo"]["size"] = 14
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["text_format"] = "[mouseover][healthcolor][health:current-max]"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["yOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["xOffset"] = 5
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Health"]["size"] = 17
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["text_format"] = "[mouseover][powercolor][power:current-max]"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["yOffset"] = -26
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["justifyH"] = "CENTER"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Power"]["size"] = 17
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["text_format"] = "[namecolor][name]"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["yOffset"] = 40
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["xOffset"] = -5
E.db["unitframe"]["units"]["player"]["customTexts"]["P_Name"]["size"] = 18


--===============================--
----- Target Unit Frame Texts -----
--===============================--
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["text_format"] = "[namecolor][smartclass] [difficultycolor][level]"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["yOffset"] = 33
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["xOffset"] = -5
E.db["unitframe"]["units"]["target"]["customTexts"]["T_UnitInfo"]["size"] = 14
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["text_format"] = "[namecolor][name]"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["yOffset"] = 40
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["xOffset"] = 5
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Name"]["size"] = 18
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["text_format"] = "[healthcolor][health:current-percent]"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["yOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["justifyH"] = "CENTER"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["T_HealthPercent"]["size"] = 17
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["text_format"] = "[mouseover][powercolor][power:current-max]"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["yOffset"] = -26
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["justifyH"] = "CENTER"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Power"]["size"] = 17
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["text_format"] = "[mouseover][healthcolor][health:current-max]"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["yOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["xOffset"] = -5
E.db["unitframe"]["units"]["target"]["customTexts"]["T_Health"]["size"] = 17


--============================--
----- Pet Unit Frame Texts -----
--============================--
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"] = {}
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["xOffset"] = -5
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["text_format"] = "[name]"
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["yOffset"] = 0
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["enable"] = true
E.db["unitframe"]["units"]["pet"]["customTexts"]["PetName"]["size"] = 14


--===================================--
----- Pet Target Unit Frame Texts -----
--===================================--
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"] = {}
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["xOffset"] = 5
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["text_format"] = "[name]"
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["yOffset"] = 0
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["font"] = "Accidental Presidency"
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["fontOutline"] = "NONE"
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["enable"] = true
E.db["unitframe"]["units"]["pettarget"]["customTexts"]["PetTarName"]["size"] = 14


--=========================--
----- ElvUI Action Bar  -----
--=========================--
E.db["actionbar"]["bar1"]["enabled"] = true
E.db["actionbar"]["bar2"]["enabled"] = true
E.db["actionbar"]["bar3"]["enabled"] = true
E.db["actionbar"]["bar4"]["enabled"] = true
E.db["actionbar"]["bar5"]["enabled"] = true
E.db["actionbar"]["bar6"]["enabled"] = false
E.db["actionbar"]["bar7"]["enabled"] = false
E.db["actionbar"]["bar8"]["enabled"] = false
E.db["actionbar"]["bar9"]["enabled"] = false
E.db["actionbar"]["bar10"]["enabled"] = false

-- Bar One --
E.db["actionbar"]["bar1"]["backdropSpacing"] = 0
E.db["actionbar"]["bar1"]["buttonSize"] = 45
E.db["actionbar"]["bar1"]["buttons"] = 12
E.db["actionbar"]["bar1"]["buttonSpacing"] = 3
E.db["actionbar"]["bar1"]["buttonsPerRow"] = 6
E.db["actionbar"]["bar1"]["point"] = "TOPLEFT"

-- Bar Two --
E.db["actionbar"]["bar2"]["backdropSpacing"] = 0
E.db["actionbar"]["bar2"]["buttons"] = 12
E.db["actionbar"]["bar2"]["buttonSize"] = 45
E.db["actionbar"]["bar2"]["buttonSpacing"] = 3
E.db["actionbar"]["bar2"]["buttonsPerRow"] = 6
E.db["actionbar"]["bar2"]["point"] = "TOPLEFT"

-- Bar Three --
E.db["actionbar"]["bar3"]["buttons"] = 6
E.db["actionbar"]["bar3"]["buttonSize"] = 55
E.db["actionbar"]["bar3"]["buttonSpacing"] = 3
E.db["actionbar"]["bar3"]["buttonsPerRow"] = 3

-- Bar Four --
E.db["actionbar"]["bar4"]["buttons"] = 12
E.db["actionbar"]["bar4"]["buttonSize"] = 20
E.db["actionbar"]["bar4"]["inheritGlobalFade"] = true

-- Bar Five --
E.db["actionbar"]["bar5"]["buttons"] = 6
E.db["actionbar"]["bar5"]["buttonSize"] = 55
E.db["actionbar"]["bar5"]["buttonSpacing"] = 3
E.db["actionbar"]["bar5"]["buttonsPerRow"] = 3

-- Pet Bar --
E.db["actionbar"]["barPet"]["buttonSize"] = 28

-- Bar Options --
E.db["actionbar"]["desaturateOnCooldown"] = true
E.db["actionbar"]["equippedItem"] = true
E.db["actionbar"]["flashAnimation"] = true
E.db["actionbar"]["globalFadeAlpha"] = 0.8
E.db["actionbar"]["stanceBar"]["buttonSize"] = 20
E.db["actionbar"]["stanceBar"]["inheritGlobalFade"] = true
E.db["actionbar"]["transparent"] = true
E.db["actionbar"]["addNewSpells"] = true

--===============================--
----- Masque Action Bar Style -----
--===============================--
E.private["actionbar"]["masque"]["actionbars"] = true
E.private["actionbar"]["masque"]["petBar"] = true
E.private["actionbar"]["masque"]["stanceBar"] = true
E.private["auras"]["masque"]["buffs"] = true
E.private["auras"]["masque"]["debuffs"] = true

--==================--
----- NamePlates -----
--==================--
E.db["nameplates"]["clampToScreen"] = true
E.db["nameplates"]["colors"]["castColor"]["g"] = 1
E.db["nameplates"]["colors"]["castColor"]["r"] = 0.95294117647059
E.db["nameplates"]["colors"]["castNoInterruptColor"]["b"] = 0.10196078431373
E.db["nameplates"]["colors"]["castNoInterruptColor"]["g"] = 0
E.db["nameplates"]["colors"]["castNoInterruptColor"]["r"] = 1
E.db["nameplates"]["colors"]["reactions"]["bad"]["b"] = 0.10196078431373
E.db["nameplates"]["colors"]["reactions"]["bad"]["g"] = 0
E.db["nameplates"]["colors"]["reactions"]["bad"]["r"] = 1
E.db["nameplates"]["colors"]["reactions"]["neutral"]["b"] = 0
E.db["nameplates"]["colors"]["reactions"]["neutral"]["g"] = 1
E.db["nameplates"]["colors"]["reactions"]["neutral"]["r"] = 0.95294117647059
E.db["nameplates"]["colors"]["selection"][0]["b"] = 0.10196078431373
E.db["nameplates"]["colors"]["selection"][0]["g"] = 0
E.db["nameplates"]["colors"]["selection"][0]["r"] = 1
E.db["nameplates"]["colors"]["selection"][2]["b"] = 0
E.db["nameplates"]["colors"]["selection"][2]["g"] = 1
E.db["nameplates"]["colors"]["selection"][2]["r"] = 0.95294117647059
E.db["nameplates"]["colors"]["threat"]["badColor"]["b"] = 0.10196078431373
E.db["nameplates"]["colors"]["threat"]["badColor"]["g"] = 0
E.db["nameplates"]["colors"]["threat"]["badColor"]["r"] = 1
E.db["nameplates"]["colors"]["threat"]["goodTransition"]["b"] = 0
E.db["nameplates"]["colors"]["threat"]["goodTransition"]["g"] = 1
E.db["nameplates"]["colors"]["threat"]["goodTransition"]["r"] = 0.95294117647059
E.db["nameplates"]["smoothbars"] = true
E.db["nameplates"]["statusbar"] = "OrkoTwo"
E.db["nameplates"]["units"]["ENEMY_NPC"]["eliteIcon"]["enable"] = true
E.db["nameplates"]["units"]["ENEMY_NPC"]["health"]["height"] = 8
E.global["nameplate"]["filters"]["ElvUI_Target"]["actions"]["scale"] = 1

--=====================--
----- DataText Bars -----
--=====================--
E.DataTexts:BuildPanelFrame("Left") -- Builds the Custom DataText Panel
E.global["datatexts"]["customPanels"]["Left"]["panelTransparency"] = false
E.global["datatexts"]["customPanels"]["Left"]["border"] = false
E.global["datatexts"]["customPanels"]["Left"]["tooltipYOffset"] = 4
E.global["datatexts"]["customPanels"]["Left"]["numPoints"] = 2
E.global["datatexts"]["customPanels"]["Left"]["tooltipAnchor"] = "ANCHOR_TOPLEFT"
E.global["datatexts"]["customPanels"]["Left"]["frameLevel"] = 1
E.global["datatexts"]["customPanels"]["Left"]["enable"] = true
E.global["datatexts"]["customPanels"]["Left"]["frameStrata"] = "LOW"
E.global["datatexts"]["customPanels"]["Left"]["width"] = 250
E.global["datatexts"]["customPanels"]["Left"]["backdrop"] = false
E.global["datatexts"]["customPanels"]["Left"]["name"] = "Left"
E.global["datatexts"]["customPanels"]["Left"]["mouseover"] = false
E.global["datatexts"]["customPanels"]["Left"]["height"] = 12
E.global["datatexts"]["customPanels"]["Left"]["tooltipXOffset"] = -17
E.global["datatexts"]["customPanels"]["Left"]["visibility"] = "[petbattle] hide;show"
E.global["datatexts"]["customPanels"]["Left"]["growth"] = "HORIZONTAL"
E.DataTexts:BuildPanelFrame("Right")-- Builds the Custom DataText Panel
E.global["datatexts"]["customPanels"]["Right"]["enable"] = true
E.global["datatexts"]["customPanels"]["Right"]["border"] = false
E.global["datatexts"]["customPanels"]["Right"]["tooltipYOffset"] = 4
E.global["datatexts"]["customPanels"]["Right"]["numPoints"] = 2
E.global["datatexts"]["customPanels"]["Right"]["tooltipAnchor"] = "ANCHOR_TOPLEFT"
E.global["datatexts"]["customPanels"]["Right"]["frameLevel"] = 1
E.global["datatexts"]["customPanels"]["Right"]["frameStrata"] = "LOW"
E.global["datatexts"]["customPanels"]["Right"]["growth"] = "HORIZONTAL"
E.global["datatexts"]["customPanels"]["Right"]["width"] = 250
E.global["datatexts"]["customPanels"]["Right"]["backdrop"] = false
E.global["datatexts"]["customPanels"]["Right"]["name"] = "Right"
E.global["datatexts"]["customPanels"]["Right"]["mouseover"] = false
E.global["datatexts"]["customPanels"]["Right"]["height"] = 12
E.global["datatexts"]["customPanels"]["Right"]["tooltipXOffset"] = -17
E.global["datatexts"]["customPanels"]["Right"]["visibility"] = "[petbattle] hide;show"
E.global["datatexts"]["customPanels"]["Right"]["panelTransparency"] = false
E.DataTexts:BuildPanelFrame("Time") -- Builds the Custom DataText Panel
E.global["datatexts"]["customPanels"]["Time"]["panelTransparency"] = false
E.global["datatexts"]["customPanels"]["Time"]["border"] = false
E.global["datatexts"]["customPanels"]["Time"]["tooltipYOffset"] = 4
E.global["datatexts"]["customPanels"]["Time"]["numPoints"] = 1
E.global["datatexts"]["customPanels"]["Time"]["tooltipAnchor"] = "ANCHOR_TOPLEFT"
E.global["datatexts"]["customPanels"]["Time"]["frameLevel"] = 1
E.global["datatexts"]["customPanels"]["Time"]["enable"] = true
E.global["datatexts"]["customPanels"]["Time"]["frameStrata"] = "LOW"
E.global["datatexts"]["customPanels"]["Time"]["width"] = 100
E.global["datatexts"]["customPanels"]["Time"]["backdrop"] = false
E.global["datatexts"]["customPanels"]["Time"]["name"] = "Left"
E.global["datatexts"]["customPanels"]["Time"]["mouseover"] = false
E.global["datatexts"]["customPanels"]["Time"]["height"] = 12
E.global["datatexts"]["customPanels"]["Time"]["tooltipXOffset"] = -17
E.global["datatexts"]["customPanels"]["Time"]["visibility"] = "[petbattle] hide;show"
E.global["datatexts"]["customPanels"]["Time"]["growth"] = "HORIZONTAL"

E.db["datatexts"]["noCombatClick"] = true
E.db["datatexts"]["noCombatHover"] = true
E.db["datatexts"]["panels"] = {}
E.db["datatexts"]["panels"]["Time"] = {}
E.db["datatexts"]["panels"]["Time"][1] = "Time"
E.db["datatexts"]["panels"]["Time"]["enable"] = true
E.db["datatexts"]["panels"]["Left"] = {}
E.db["datatexts"]["panels"]["Left"][1] = "Durability"
E.db["datatexts"]["panels"]["Left"][2] = "Spell/Heal Power"
E.db["datatexts"]["panels"]["Left"]["enable"] = true
E.db["datatexts"]["panels"]["LeftChatDataPanel"] = {}
E.db["datatexts"]["panels"]["LeftChatDataPanel"]["enable"] = false
E.db["datatexts"]["panels"]["MinimapPanel"] = {}
E.db["datatexts"]["panels"]["MinimapPanel"]["enable"] = false
E.db["datatexts"]["panels"]["Right"] = {}
E.db["datatexts"]["panels"]["Right"][1] = "System"
E.db["datatexts"]["panels"]["Right"][2] = "Gold"
E.db["datatexts"]["panels"]["Right"]["enable"] = true
E.db["datatexts"]["panels"]["RightChatDataPanel"] = {}
E.db["datatexts"]["panels"]["RightChatDataPanel"]["enable"] = false

--=====================--
----- Misc Settings -----
--=====================--
E.private["install_complete"] = "10.78"
E.private["skins"]["blizzard"]["enable"] = false

--=====================--
----- OrkoUI Panels -----
--=====================--
E.db["OrkoPlugin"] = E.db["OrkoPlugin"] or {}
E.db["OrkoPlugin"]["Enabled"] = true

--=============================--
----- OrkoUI Layout Version -----
--=============================--
E.db["OrkoUI"]["install_version"] = "10.00"


	--Update ElvUI
	E:UpdateAll(true)
	--Show message about layout being set
	PluginInstallStepComplete.message = "OrkoUI Layout Applied"
	PluginInstallStepComplete:Show()
	
	
end